Use this API to authenticate a given user’s username and password. It makes use of the OpenID password grant and upon success will create a session and return an access token.
Note that the access token returned is different to the access token generated via the OAuth 2.0 Tokens API. Therefore it can not be used to authorize API calls against other endpoints such as Users or Events.
Resource URL
https://<subdomain>.onelogin.com/oidc/2/tokenHeader Parameter
Authorization required string | Set to The e.g. Using Node.js this would be |
Content-Type required string | application/x-www-form-urlencoded |
Resource Parameter
subdomain required string | Set to the e.g. |
Request Parameter
grant_type required string | Set to "password" |
client_id required string | The OneLogin generated Client ID for your OpenID Connect app. |
username required string | The username for a given user |
password required string | The password for a given user |
scope required string | Requires at least "openid". Add "profile" and/or "email" to get additional user information returned in the You must supply the offline_access scope if you wish to obtain a Refresh Token. |
resource string | Optional. When API Authorization is configured, specify the API Resource Identifier here to generate a customized Access Token that can be used for authorizing access to apis and api gateways. e.g. resource=https://api.example.com/contacts |
Sample Request Body
username=rich&password=password&client_id=ba88ac70-1234-0135-527a&grant_type=password&scope=openid
```html
<h2>Sample Response</h2>
<div class="tab-group">
<ul class="tab-links">
<li class="t-link status-200 active" data-tab="1">200 OK</li>
<li class="t-link status-400" data-tab="2">400 Bad Request</li>
<li class="t-link status-401" data-tab="3">401 Unauthorized</li>
</ul>
<div class="tab-views">
<div class="t-view active" data-tab="1">
```json
{
"access_token": "NWE4Nzg2ZDEtNzQyMS00ZDViLThjMjctMGQwNjlmZjU5MWNkBGjFElT7CWzl0d....",
"expires_in": 3600,
"token_type": "Bearer",
"refresh_token": "897987AGBEtNzQyMS00ZDViLThjMjctMGQwNjlmZjU5MWNkBGjFElT7CWzl0d...."
}